package org.jerrymouse.gaes.test;

import org.junit.After;
import org.junit.Before;

public class DatastoreTestCase extends BaseTest {

	@Override
	@Before
	public void setUp() throws Exception {
		super.setUp();
		if (GAE.equalsIgnoreCase(pBottomLayer)) {
			GaeDataStoreTest.setupDBEnv();
		}
	}

	@Override
	@After
	public void tearDown() throws Exception {
		if (GAE.equalsIgnoreCase(pBottomLayer)) {
			GaeDataStoreTest.tearDownDBEnv();

		}
		super.tearDown();
	}

}
